package com.yd.dal.mapper.transaction;

import com.yd.dal.entity.transaction.TranLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TranLogMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TranLog record);

    int insertSelective(TranLog record);

    TranLog selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TranLog record);

    int updateByPrimaryKey(TranLog record);

    List<TranLog> findByTranLogOrderBy(@Param("info") TranLog tranLogNew, @Param("orderBy") String orderBy);
}